package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.UrValidShowData;
import com.ruoyi.system.domain.vo.UrPatentValidStaticVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 有效概览成品Service接口
 * 
 * @author dm
 * @date 2023-02-14
 */
public interface IUrValidShowDataService 
{
    /**
     * 查询有效概览成品
     * 
     * @param id 有效概览成品主键
     * @return 有效概览成品
     */
    public UrValidShowData selectUrValidShowDataById(Long id);

    /**
     * 查询有效概览成品列表
     * 
     * @param urValidShowData 有效概览成品
     * @return 有效概览成品集合
     */
    public List<UrPatentValidStaticVo> selectUrValidShowDataList(UrValidShowData urValidShowData);

    /**
     * 新增有效概览成品
     * 
     * @param urValidShowData 有效概览成品
     * @return 结果
     */
    public int insertUrValidShowData(UrValidShowData urValidShowData);

    /**
     * 修改有效概览成品
     * 
     * @param urValidShowData 有效概览成品
     * @return 结果
     */
    public int updateUrValidShowData(UrValidShowData urValidShowData);

    /**
     * 批量删除有效概览成品
     * 
     * @param ids 需要删除的有效概览成品主键集合
     * @return 结果
     */
    public int deleteUrValidShowDataByIds(Long[] ids);

    /**
     * 删除有效概览成品信息
     * 
     * @param id 有效概览成品主键
     * @return 结果
     */
    public int deleteUrValidShowDataById(Long id);

    /**
     * 批量删除---逻辑删除
     *
     * @param ids 需要删除的有效概览成品ID
     * @return 结果
     */
    public int setDeleteByIds(Long[] ids);

    /**
     * 删除---逻辑删除
     *
     * @param id 有效概览成品ID
     * @return 结果
     */
    public int setDeleteById(Long id);

    /**
     * 下载excel
     *
     * @param response
     */
    void export(UrValidShowData vo, HttpServletResponse response);

    /**
     * 查询列表
     *
     * @param urValidShowData 有效概览成品
     * @return 有效概览成品
     */
    public List<UrValidShowData> selectList(UrValidShowData urValidShowData);
}
